<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.599
Name: TNM T-Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000">
   <title>TNM T-Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]"
         id="d20e1012-false-d8996e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]) &lt;= 1">(TNMTObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]"
         id="d20e1055-false-d9011e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="string(@classCode) = ('OBS')">(TNMTObservation): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="string(@moodCode) = ('EVN')">(TNMTObservation): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']) &gt;= 1">(TNMTObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']) &lt;= 1">(TNMTObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599'] komt te vaak voor [max 1x].</assert>
      <report role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:code[(@code = '21899-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt; 1">(TNMTObservation): element hl7:code is gecodeerd met bindingssterkte 'extensible' en bevat een code buiten de gespecificeerde set.</report>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:code[(@code = '21899-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(TNMTObservation): element hl7:code[(@code = '21899-0' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:text) &lt;= 1">(TNMTObservation): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(TNMTObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(TNMTObservation): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <report role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]) &lt; 1">(TNMTObservation): element hl7:value is gecodeerd met bindingssterkte 'extensible' en bevat een code buiten de gespecificeerde set.</report>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(TNMTObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']"
         id="d20e1061-false-d9076e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.599')">(TNMTObservation): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.599' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:id
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:id"
         id="d20e1066-false-d9090e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:code[(@code = '21899-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:code[(@code = '21899-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e1068-false-d9101e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="@nullFlavor or (@code='21899-0' and @codeSystem='2.16.840.1.113883.6.1')">(TNMTObservation): de elementwaarde MOET een zijn van 'code '21899-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:text
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:text"
         id="d20e1074-false-d9117e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:statusCode[@code = 'completed']
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:statusCode[@code = 'completed']"
         id="d20e1076-false-d9128e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="@nullFlavor or (@code='completed')">(TNMTObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d20e1081-false-d9147e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(TNMTObservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.263 UICC T category (mamma) (2019-03-10T00:00:00)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(TNMTObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.36.77.11.263 UICC T category (mamma) (2019-03-10T00:00:00).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]) &lt;= 1">(TNMTObservation): element hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]"
         id="d20e1085-false-d9176e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CR" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]) &gt;= 1">(TNMTObservation): element hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]) &lt;= 1">(TNMTObservation): element hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="count(hl7:value[(@code = 'p' and @codeSystem = '1.2.276.0.76.11.9') or @nullFlavor]) &lt;= 1">(TNMTObservation): element hl7:value[(@code = 'p' and @codeSystem = '1.2.276.0.76.11.9') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]/hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]/hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]"
         id="d20e1090-false-d9204e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="@nullFlavor or (@code='tnmCp' and @codeSystem='1.2.276.0.76.3.1.131.1.5.1')">(TNMTObservation): de elementwaarde MOET een zijn van 'code 'tnmCp' codeSystem '1.2.276.0.76.3.1.131.1.5.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.599
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]/hl7:value[(@code = 'p' and @codeSystem = '1.2.276.0.76.11.9') or @nullFlavor]
Item: (TNMTObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.599']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.263-2019-03-10T000000.xml')//valueSet[1]/conceptList/exception/@code]/hl7:qualifier[hl7:name[(@code = 'tnmCp' and @codeSystem = '1.2.276.0.76.3.1.131.1.5.1')]]/hl7:value[(@code = 'p' and @codeSystem = '1.2.276.0.76.11.9') or @nullFlavor]"
         id="d20e1095-false-d9221e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmbk-html-20191013T122846/tmp-2.16.840.1.113883.2.4.3.36.10.599-2019-03-11T000000.html"
              test="@nullFlavor or (@code='p' and @codeSystem='1.2.276.0.76.11.9')">(TNMTObservation): de elementwaarde MOET een zijn van 'code 'p' codeSystem '1.2.276.0.76.11.9''.</assert>
   </rule>
</pattern>
